terraform {
  required_version = ">= 0.12"

  required_providers {
    kubernetes = {
      source = "hashicorp/kubernetes"
      version = ">= 2.0"
    }
  }

  backend "etcdv3" {
    endpoints = ["https://100.64.0.19:2379"]
    lock = true
    prefix = "/terraform-state/slackbot/"

    cacert_path = "/Users/antoine/virtualization/kubernetes-the-hard-way/certs/ca.pem"
    cert_path = "/Users/antoine/virtualization/kubernetes-the-hard-way/certs/kubernetes.pem"
    key_path = "/Users/antoine/virtualization/kubernetes-the-hard-way/certs/kubernetes-key.pem"
  }
}

provider "kubernetes" {
  config_path = "~/.kube/config.kubeconfig"

  config_context = "my-context"
  config_context_cluster = "cluster-1"
  config_context_auth_info = "admin"
}